# Uses of Interface
org.opensaml.saml.saml2.assertion.StatementValidator

Packages that use StatementValidator
Package
Description
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.

## Uses of StatementValidator in org.opensaml.saml.saml2.assertion

Fields in org.opensaml.saml.saml2.assertion with type parameters of type StatementValidator
Modifier and Type
Field
Description
`private LazyMap<QName,StatementValidator>`
SAML20AssertionValidator.`statementValidators`
Registered `Statement` validators.

## Uses of StatementValidator in org.opensaml.saml.saml2.assertion.impl

Classes in org.opensaml.saml.saml2.assertion.impl that implement StatementValidator
Modifier and Type
Class
Description
`class`
`AuthnStatementValidator`
`StatementValidator` implementation for `AuthnStatement` conditions.